### Function

# Qmi message_ref

since: 1.0

#### Declaration [src]

    QmiMessage*
    qmi_message_ref (
      QmiMessage* self
    )

#### Description [src]

Atomically increments the reference count of `self` by one.

Available since: 1.0

#### Parameters

`self`

  Type: `QmiMessage`

  A `QmiMessage`.

  The data is owned by the caller of the function.

#### Return value

Type: `QmiMessage`

The new reference to `self`.

The caller of the function takes ownership of the data, and is responsible for freeing it.